require "array_fast_methods/version"

module ArrayFastMethods
  def mean
    (sum.to_f / size.to_f)
  end

  def variance
    m = mean
    sum_let = 0.0
    each {|v| sum_let += (v-m)**2 }
    sum_let/size
  end

  def std_dev
    Math.sqrt(variance)
  end
end


class Array
  include ArrayFastMethods
end
